Subject: Interrupt prioritization on linux for ppc440

From: Shawn Jin <[email-masked]>
Date: Fri, 15 Apr 2005 14:36:51 -0700

Hi,

The home-made interrupt controller PIC supports interrupt priorities
and critical/non-critical interrupts. I found that the current kernel
doesn't support interrupt priorities. Is this observation true? Is
there any existing patch to support that? Can RTAI or RTLinux
prioritize interrupts?

I noticed that the implementation of ppc4xx_pic.c disables all
critical interrupts during initialization. To support critical
interrupts, is it so simple that we change the handler of critical
exception from CriticalInput to do_IRQ in head_44x.S?

Would you please share some of your inputs with me while I'm googling
this issue?

Thanks,
-Shawn.